@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

/*Boilerplate*/
html {
  scroll-behavior: smooth;
}

*,
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  font-family: "Inter";
  transition: 0.1s ease-in-out;
}

/*Colors as Variables*/
:root {
  /*Dark Colors Default*/
  --theme-color: #131313;
  --transparent-color: #0f0f0fd8;
  --transparent-color-burger: #333333d8;
  --transparent-card: #2a2e3954;
  --burger-lines: #ebebebff;
  --contrast-color: rgb(220, 220, 220);
  --background-color: #13171e;
  --border-color: #b2b7c020;
  --text-color: white;
  --accent-color: #0d84c4;
  --accent-subtle: #0d84c48d;
  --scrollbar-color: #1d1d1e;
  --thumb-color: #475569;
  --thumb-hover-color: #323b47;
  --hover-color: #4755691d;
  --faded-grey: #323b4778;
}

section {
  min-height: 100vh;
  position: relative;
}

section div#content {
  padding-top: 135px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

section div#content * {
  z-index: 92;
}

/*Web Navbar*/
nav {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: fit-content;
  margin: 15px auto;
  padding: 0px 15px;
  background-color: var(--transparent-color);
  border-radius: 30px;
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  border: solid 2px var(--border-color);
  font-size: 1.15rem;
  position: fixed;
  margin-left: 50%;
  transform: translateX(-50%);
  z-index: 96;
  cursor: default;
}

nav li {
  margin: 10px 5px;
  padding: 10px;
  border-radius: 15px;
  transition: 0.15s ease-in-out;
  display: flex;
  align-items: center;
}

nav li:first-child {
  margin-left: 10px;
}

nav li:last-child {
  margin-right: 10px;
}

nav li:hover {
  background-color: var(--hover-color);
  transition: 0.15s ease-in-out;
  cursor: pointer;
}

nav li a {
  color: var(--text-color);
  font-weight: 400;
  transition: 0.15s ease-in-out;
  white-space: nowrap;
}

#logo-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

#logo-container h2 {
  font-weight: 300;
  font-size: 1.5rem;
  transition: 0.2s ease-in-out;
  color: var(--text-color);
}

#logo-container h2 span {
  font-weight: 700;
  color: var(--text-color);
  opacity: 0.5;
  transition: 0.2s ease-in-out;
}

#logo-container:hover h2 span {
  color: var(--accent-color);
  opacity: 1;
}

#separator {
  width: 0.5px;
  height: 35px;
  background-color: var(--border-color);
  margin: 0 10px 0 15px;
}

img#logo-image {
  margin: 0 10px 0 15px;
  width: 45px;
  transition: 0.2s ease-in-out;
}

#logo-container-mobile {
  display: none;
}

/*Burger Icon*/
.burger-menu {
  display: none;
}

/*Custom Scrollbar*/
::-webkit-scrollbar {
  width: 10px;
  background-color: var(--transparent-color);
  background-color: var(--scrollbar-color);
}

::-webkit-scrollbar-thumb {
  background: var(--thumb-color);
  border-radius: 3px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--thumb-hover-color);
}

.shown {
  opacity: 1;
  visibility: visible;
  transition: 0.2s ease-in-out;
}

.hidden-scroll {
  overflow: hidden;
}

#toggle-button {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 15px;
  right: 15px;
  background-color: var(--transparent-color);
  z-index: 96;
  border-radius: 30px;
  padding: 6px;
  /* opacity: 0.25; */
  border: 2px solid var(--border-color);
  backdrop-filter: blur(20px);
  --webkit-backdrop-filter: blur(20px);
}

#toggle-button svg {
  stroke: var(--contrast-color);
  opacity: 0.4;
}

#toggle-button svg:hover {
  opacity: 1;
  transition: 0.2s ease-in-out;
}

#sun {
  display: block;
  width: 40px;
}

#moon {
  display: none;
  width: 40px;
}

section #background {
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url("../images/background-dark.jpg");
  background-size: cover;
  opacity: 0.25;
}

section #color {
  background-color: var(--background-color);
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
}

/*Footer*/
footer {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 60px;
  background-color: var(--theme-color);
  justify-content: center;
  align-items: center;
  text-align: center;
  color: var(--text-color);
  font-weight: 400;
  font-size: 0.9rem;
  transition: none !important;
}

footer > * {
  transition: none !important;
}

footer div a {
  color: var(--contrast-color);
  font-weight: 700;
  text-decoration: none;
  transition: 0.15s ease-in-out;
}

footer div a:hover {
  color: var(--accent-color);
  transition: 0.15s ease-in-out;
}

footer div a img {
  width: 30px;
  height: 30px;
  margin: 15px 3px 0px;
  opacity: 0.65;
  transition: 0.1s ease-in-out;
}

footer div a img:hover {
  opacity: 1;
  transition: 0.1s ease-in-out;
}

@media only screen and (max-width: 710px) {
  nav {
    backdrop-filter: blur(40px);
    -webkit-backdrop-filter: blur(40px);
    flex-direction: column;
    width: 100%;
    border-radius: 0px;
    align-items: flex-end;
    justify-content: start;
    padding-top: 50%;
    margin-top: 0px;
    padding-right: 20px;
    height: 100vh;
    font-size: 1.5rem;
    z-index: 96;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s ease-in-out;
  }

  nav li {
    margin: 3px 0;
    padding: 10px;
  }

  nav li:first-child {
    margin-left: 0;
    margin-top: 15px;
  }

  nav li:last-child {
    margin-right: 0;
    margin-bottom: 15px;
  }

  nav li a {
    user-select: none;
    -webkit-user-select: none;
  }

  #logo-container {
    display: none;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
    opacity: 0.5;
  }

  img#logo-image {
    margin: 0px 0px 0px 0px;
    width: 75px;
  }

  #separator {
    display: none;
  }

  #logo-container-mobile h2 {
    font-weight: 300;
    font-size: 1rem;
    transition: 0.2s ease-in-out;
    color: var(--text-color);
    opacity: 0.8;
  }

  #logo-container-mobile h2 span {
    font-weight: 800;
    color: var(--text-color);
    opacity: 1;
    transition: 0.2s ease-in-out;
  }

  #logo-container-mobile {
    display: flex;
    position: fixed;
    z-index: 97;
    width: 90%;
    align-items: center;
    top: 20px;
    height: 60px;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--transparent-color);
    border-radius: 30px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: solid 2px #47556919;
    padding: 10px 20px 10px 20px;
  }

  #logo-image-mobile {
    width: 40px;
    margin-right: 10px;
    opacity: 1;
    transition: 0.2s ease-in-out;
  }

  .menu-opened {
    color: var(--accent-color) !important;
    opacity: 1 !important;
    transition: 0.2s ease-in-out;
  }

  .burger-menu {
    display: inherit;
    width: 70px;
    height: 70px;
    border-radius: 35px;
    background-color: var(--transparent-color-burger);
    position: fixed;
    right: 5%;
    top: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: solid 2px var(--border-color);
    z-index: 98 !important;
    transition: 0.2s ease-in-out;
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
  }

  .change-color {
    background-color: var(--accent-color) !important;
  }

  .burger-menu-line {
    background-color: var(--burger-lines);
    width: 40px;
    height: 6px;
    margin: 3px 0;
    border-radius: 4px;
    opacity: 1;
    transition: 0.2s ease-in-out;
  }

  .burger-menu.menu-open > div:nth-child(2) {
    opacity: 0;
    transform: translateX(-20px);
  }

  .burger-menu.menu-open > div:nth-child(1) {
    transform: rotateZ(45deg) translateX(8.5px) translateY(8.5px);
  }

  .burger-menu.menu-open > div:nth-child(3) {
    transform: rotateZ(-45deg) translateX(8.5px) translateY(-8.5px);
  }

  .burger-menu.menu-open .burger-menu-line {
    transform: translateX(-50px);
    transition: 0.1s ease-in-out;
  }
}
